Package wx :: Package py :: Module crust :: Class CrustFrame

[frames | no frames]

## Type CrustFrame

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                         Frame --+
                                 |
                             Frame --+
                                     |
                   ShellFrameMixin --+
                                     |
                                    CrustFrame

Frame containing all the PyCrust components.

Method Summary
| ``__init__`(self, parent, id, title, pos, size, style, rootObject, rootLabel, rootIsNamespace, locals, InterpClass, config, dataDir, *args, **kwds)` Create CrustFrame instance.
| `DoSaveSettings(self)`
| `LoadSettings(self)`
| ``OnAbout`(self, event)` Display an About window.
| ``OnClose`(self, event)` Event handler for closing.
| ``OnHelp`(self, event)` Show a help dialog.
| `SaveSettings(self, force)`
| ``ToggleTools`(self)` Toggle the display of the filling and other tools
| `ToolsShown(self)`

Property Summary

Class Variable Summary
`str` | `name` = `'CrustFrame'`
`str` | `revision` = `'1.16'`

Instance Method Details

### __init__(self, parent=None, id=-1, title='PyCrust', pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=541072960, rootObject=None, rootLabel=None, rootIsNamespace=True, locals=None, InterpClass=None, config=None, dataDir=None, *args, **kwds)
(Constructor)

Create CrustFrame instance.

  Overrides:
    `wx.py.frame.Frame.__init__`

### OnAbout(self, event)

Display an About window.

  Overrides:
    `wx.py.frame.Frame.OnAbout`

### OnClose(self, event)

Event handler for closing.

  Overrides:
    `wx.py.frame.Frame.OnClose`

### OnHelp(self, event)

Show a help dialog.

  Overrides:
    `wx.py.frame.Frame.OnHelp`

### ToggleTools(self)

Toggle the display of the filling and other tools

Class Variable Details

### name

  Type:
    `str`
  Value:

        'CrustFrame'

### revision

  Type:
    `str`
  Value:

        '1.16'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:41 2007 | http://epydoc.sf.net